#### To configure the SIP Protocol

1. In the Developer profile, expand the Configuration node to select the SIP Service node.
2. In the Cluster and Enterprise profiles, select the required configuration and then select the SIP Service node.
3. Click the SIP Protocol tab.
4. Define the SIP Protocol settings as follows:

   - Error Response: Enable this option to send error messages in response to bad requests.

   - Default Transport: Enable this option to insert “transport=tcp” in the URI of contact and record route header.

5. Specify SIP Link Settings as follows:

   - Connection Alive Timeout: Specify the maximum time (in seconds) a SIP link can be inactive before the connection is closed. The default value is 120 seconds.

   - Maximum Queue Length: Specify the maximum number of simultaneous write requests or connect requests, or both, that can be waiting to write on a link. The default value is 50 requests.

   - Write Timeout: Specify the maximum time, between 1 and 50 seconds. for a single write operation of a SIP link. The default value is 10 milliseconds.

   - Write Timeout Retries: Specify the maximum number of retries, between 1 and 25, that are allowed to perform a single write operation of a SIP link. The default value is 25.

6. Specify the values for SIP Timers as follows:.

   - Timer T1: Set the time taken for a round trip time between the client and server transactions. The default value is 500 milliseconds.

   - Timer T2: Set the maximum retransmit interval for non-INVITE requests and INVITE responses. The default value is 4000 milliseconds.

   - Timer T4: Specify the maximum duration a message will remain in the network. The default value is 5000 milliseconds.

7. Specify additional properties, if required.
8. Click Save to save the changes, or Load Defaults to return to the default settings.

###### See Also

- To configure the SIP Service Access Log

- To configure SIP Service Request Processing

- To configure the SIP Service Keep-Alive

- To configure the SIP Service Connection Pool